package com.ruoyi.project.check.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 标准气体对象 t_check_standardgases
 *
 * @author ruoyi
 * @date 2022-11-22
 */
public class TCheckStandardgases extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识id
     */
    private Long id;

    /**
     * 标准气体证书编号
     */
    @Excel(name = "标准气体证书编号")
    private String code;

    /**
     * 标准气体名称
     */
    @Excel(name = "标准气体名称")
    private String name;

    /**
     * 标准气体浓度
     */
    @Excel(name = "标准气体浓度")
    private String concentration;

    /**
     * 标准气体有效期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "标准气体有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lifespan;

    /**
     * 生产厂家
     */
    @Excel(name = "生产厂家")
    private String factory;

    /**
     * 钢瓶编号
     */
    @Excel(name = "钢瓶编号")
    private String cylinderCode;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 状态 1 ：正常 ；0：删除
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    private Long createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */

    private Long updaterCode;

    @Excel(name = "修改人")
    @TableField(exist = false)
    private String updater;

    @TableField(exist = false)
    private String describe;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;


    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setConcentration(String concentration) {
        this.concentration = concentration;
    }

    public String getConcentration() {
        return concentration;
    }

    public void setLifespan(Date lifespan) {
        this.lifespan = lifespan;
    }

    public Date getLifespan() {
        return lifespan;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public String getFactory() {
        return factory;
    }

    public void setCylinderCode(String cylinderCode) {
        this.cylinderCode = cylinderCode;
    }

    public String getCylinderCode() {
        return cylinderCode;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("code", getCode())
                .append("name", getName())
                .append("concentration", getConcentration())
                .append("lifespan", getLifespan())
                .append("factory", getFactory())
                .append("cylinderCode", getCylinderCode())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .toString();
    }
}
